Bug 253979 - installer creates hostname but fails to give it default hosts mapping, causes complex problems elsewhere
installer creates hostname but fails to give it default hosts mapping, causes...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 08:17 EDT by David Campbell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 17:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-08-23 08:17:46 EDT
Description of problem:

The fedora 7 installer creates a system hostname, but fails to make an entry for
it in the /etc/hosts file.

You might think so-what, but this actually causes nasty troubles with delays
starting gnome applications, and yet people have said that it isn't a gnome bug
 Others on the fedora irc have seen the same issue.

Take a look at this ubuntu link to a problem whose symptom happens identically
on fedora 7:  https://bugs.launchpad.net/ubuntu/+bug/94048

I believe that the fedora 7 installer should by default create an /etc/hosts
entry mapping the installer-assigned hostname to the localhost interface, as the
ubuntu report recommends and how LOTS of ubuntu people have solved the problem.

Version-Release number of selected component (if applicable):

2.6.22.1-41.fc7

How reproducible:

The delay problem with gnome is intermittent
 
Actual results:

No binding of hostname to ip address in /etc/hosts from install

Expected results:

A sensible default for the hostname in /etc/hosts from install would be 127.0.0.1
Comment 1 David Cantrell 2007-08-23 10:59:27 EDT
Just the short hostname, right, not the FQDN?  I seem to remember us doing this
at some point and then not.  Might be my fault with all the network
configuration changes in anaconda.
Comment 2 David Campbell 2007-08-23 17:55:45 EDT
Yes just the short host name:

[root@Vigor12 ~]# uname -n
Vigor12
[root@Vigor12 ~]# hostname
Vigor12

When I mapped it to the localhost interface in /etc/hosts the problems went away:

[root@Vigor12 ~]# grep Vigor12 /etc/hosts
127.0.0.1               localhost.localdomain localhost DesktopPROD desktopprod
acrs Vigor12
Comment 3 David Cantrell 2007-09-04 17:47:52 EDT
Fixed in rawhide.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.